{% extends "users/userspace.html" %}

{% block scripts %}
<script>    
    var checkBoxPassed = document.getElementById('{{ form.passed.id_for_label }}');
    var checkBoxMembers = document.getElementById('{{ form.members.id_for_label }}');
    var checkBoxFuture = document.getElementById('{{ form.future.id_for_label }}');

    function toggleYearsField() {
        var yearsField = document.getElementById('{{ form.years.id_for_label }}');
        if (checkBoxMembers.checked) {
            yearsField.removeAttribute('disabled');
            
        } else {
            yearsField.setAttribute('disabled', 'disabled');
        }
    }

    function toggleDurationField() {
        
        var durationField = document.getElementById('{{ form.duration.id_for_label }}');
        if (checkBoxPassed.checked) {
            durationField.removeAttribute('disabled');
        } else {
            durationField.setAttribute('disabled', 'disabled');
        }
    }

    function toogleDownloadButton() {
        var downloadButton = document.getElementById('downloadButton');
        if (checkBoxMembers.checked || checkBoxPassed.checked || checkBoxFuture.checked) {
            downloadButton.removeAttribute('disabled');
        } else {
            downloadButton.setAttribute('disabled', 'disabled');
        }
    }

    function toogleNonPaidField() {
        
        var nonPaidField = document.getElementById('{{ form.non_paid.id_for_label }}');
        if (checkBoxMembers.checked) {
            nonPaidField.removeAttribute('disabled');
        } else {
            nonPaidField.setAttribute('disabled', 'disabled');
        }
    }

    checkBoxMembers.addEventListener("change", function() {
        toggleYearsField();
        toogleDownloadButton();
        toogleNonPaidField();
    });

    checkBoxPassed.addEventListener("change", function() {
        toggleDurationField();
        toogleDownloadButton();
    });

    checkBoxFuture.addEventListener("change", toogleDownloadButton);

    document.addEventListener("DOMContentLoaded", function() {
        toggleYearsField();
        toggleDurationField();
        toogleDownloadButton();
        toogleNonPaidField();
    });

    </script>
{% endblock %}

{% block content %}
<div class="container px-5 my-5">
    <h1>Liste de diffusion</h1>
    <p>Téléchargement de la liste des adresses mails des membres.</p>

    {% if form.errors %}
        <div class="alert alert-danger" role="alert">
            <p class="alert-heading"><i class="mx-1 fas fa-exclamation-circle"></i>Erreurs :</p>
            {% for fieldname, errors in form.errors.items %}
                {% if fieldname != "__all__" %}
                    {{ fieldname }} :
                {% endif %}
                <ul class="mb-0">
                    {% for error in errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endfor %}
        </div>
    {% endif %}

    <div class="row border rounded border-2 border-secondary mt-4 mx-10">
        <div class="col p-4">
            <h3 class="mb-0">Critères de sélection</h3>
            <form method="POST" action="#" class="mt-3">
            {% csrf_token %}
            <div class="row align-items-center mb-3">
                <div class="col-auto align-self-center">
                    <div class="form-check mb-3">{{ form.members }} {{ form.members.label_tag }}</div>
                    <div class="form-check mb-3">{{ form.non_paid }} {{ form.non_paid.label_tag }}</div>
                </div>
                <div class="col-3 offset-md-1 text-center justify-content-center">
                    {{form.years.label}}
                    {{form.years}}
                </div>
            </div>
            <div class="row align-items-center mb-3">
                <div class="col-auto pe-0">
                    <div class="form-check mb-0">{{ form.passed }} {{ form.passed.label_tag }}</div>
                </div>
                <div class="col-auto px-0 mx-1">
                    {{ form.duration }}
                </div>
                <div class="col-auto mx-0 px-0">
                    <label for="duration">derniers mois</label>
                </div>
            </div>
            <div class="form-check mb-3">{{ form.future }} {{ form.future.label_tag }}</div>
            <div class="row align-items-center mb-2">
                <div class="col-auto pe-2">
                    {{ form.filetype.label_tag }}
                </div>
                <div class="col-auto px-0">
                    {{ form.filetype }}
                </div>
            </div>
            <button id="downloadButton" class="btn btn-success w-100 mt-1" type="submit"><i class="mx-1 fas fa-file-export"></i>Télécharger</button>
        </form>
        </div>
    </div>
</div>
{% endblock %}